petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellSetCreateRestriction

Set the routine used to create the restriction operator

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateRestriction(DM dm, PetscErrorCode (*restriction)(DM,DM,Mat*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| striction | - the routine to create the restriction

### See Also

DMShellSetCreateInjection(), DMCreateInterpolation(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html